import Taro from '@tarojs/taro'

// const baseURL = 'http://192.168.0.11'
const baseURL = 'https://api.szy.jiuweiyun.cn'

// const path = '/dwbsszy'
const path = '/api'

export default {
  get(url: string, data) {
    return Taro.request({
      data,
      header: {
        'content-type': 'application/json',
        Authorization: 'Bearer ' + (Taro as any).token
      },
      method: 'GET',
      url: `${baseURL}${path}${url}`
    })
  },
  post(url: string, data) {
    return Taro.request({
      data,
      header: {
        'content-type': 'application/json',
        Authorization: 'Bearer ' + (Taro as any).token
      },
      method: 'POST',
      url: `${baseURL}${path}${url}`,
    })
  },
  uploadFile(url: string, config) {
    return Taro.uploadFile(Object.assign({
      header: {
        'content-type': 'application/json',
        Authorization: 'Bearer ' + (Taro as any).token
      },
      url: `${baseURL}${path}${url}`
    }, config))
  }
}