import Taro, { Component } from '@tarojs/taro'
import { View, Button, Text, Input, OpenData } from '@tarojs/components'

import './Counter.scss'

export default props => (<View className='Counter'>
    <View onClick={() => props.value > 0 ? props.onChange(props.value - 1) : ''} className="l">-</View>
    <View className="c">{props.value}</View>
    <View onClick={() => props.onChange(props.value + 1)} className="r">+</View>
</View>)
